## kf6-baloo 6.20.0

=== CMakeLists.txt ===
# set minimum version requirements
cmake_minimum_required(VERSION 3.16)
set(REQUIRED_QT_VERSION 6.8.0)
set(KF_VERSION "6.20.0") # handled by release scripts
set(KF_DEP_VERSION "6.20.0") # handled by release scripts

# set up project
project(Baloo VERSION ${KF_VERSION})

# set up extra-cmake-modules before trying anything else
include(FeatureSummary)

find_package(ECM ${KF_DEP_VERSION} NO_MODULE)
set_package_properties(ECM
    PROPERTIES
        TYPE REQUIRED
        DESCRIPTION "Extra CMake Modules"
        URL "https://commits.kde.org/extra-cmake-modules"
)
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

# we found extra-cmake-modules, so use it now
set(CMAKE_MODULE_PATH
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH}
)

include(ECMSetupVersion)

# set up baloo versions
ecm_setup_version(PROJECT
    VARIABLE_PREFIX BALOO
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/baloo_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6BalooConfigVersion.cmake"
    SOVERSION 6
)

# include optional and extra cmake stuff
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDEGitCommitHooks)
include(ECMAddTests)
include(ECMGenerateQDoc)
include(ECMQtDeclareLoggingCategory)
include(ECMMarkNonGuiExecutable)
include(ECMGenerateExportHeader)
include(ECMGeneratePkgConfigFile)
include(ECMConfiguredInstall)
include(ECMDeprecationSettings)
include(ECMQmlModule)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_EXPERIMENTAL "Build experimental features" OFF)
add_feature_info(EXP ${BUILD_EXPERIMENTAL} "Build experimental features")

option(BUILD_INDEXER_SERVICE "Build the background indexer service" ON)
add_feature_info(INDEXER_SERVICE ${BUILD_INDEXER_SERVICE}
    "Build and install the session wide indexer service. The service is started with the session and running in the background.")

# set up build dependencies
find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Core DBus Widgets Qml Quick Test)

find_package(KF6 ${KF_DEP_VERSION} REQUIRED COMPONENTS CoreAddons Config DBusAddons I18n IdleTime Solid FileMetaData Crash KIO)

find_package(LMDB)
set_package_properties(LMDB
    PROPERTIES
        DESCRIPTION "Lightning Memory-Mapped Database (LMDB)"
        URL "https://symas.com/lmdb"
        TYPE REQUIRED
)
if(${LMDB_FOUND})
    include_directories(${LMDB_INCLUDE_DIRS})
endif()

# compiler flags and build system
ecm_set_disabled_deprecation_versions(
    QT 6.9.0
    KF 6.18.0
)

find_package(Inotify)
set_package_properties(Inotify PROPERTIES
    PURPOSE "Filesystem alteration notifications using inotify")
set(BUILD_KINOTIFY ${Inotify_FOUND})

configure_file(config.h.in ${CMAKE_BINARY_DIR}/config.h)

include_directories(
    ${CMAKE_BINARY_DIR}
    ${CMAKE_SOURCE_DIR}

    # we'll configure the rest here so that we don't have to
    # specify them in the source and test directories separately
    ${CMAKE_SOURCE_DIR}/src/lib
    ${CMAKE_BINARY_DIR}/src/lib
    ${CMAKE_BINARY_DIR}/src/codecs
    ${CMAKE_SOURCE_DIR}/src/codecs
    ${CMAKE_BINARY_DIR}/src/engine
    ${CMAKE_SOURCE_DIR}/src/engine
    ${CMAKE_BINARY_DIR}/src/file
    ${CMAKE_SOURCE_DIR}/src/file
    ${CMAKE_BINARY_DIR}/src/dbus
    ${CMAKE_SOURCE_DIR}/src/dbus
)

# targets
add_subdirectory(src)

if (BUILD_TESTING AND BUILD_KINOTIFY)
   add_subdirectory(tests)
   add_subdirectory(autotests)
endif()

# i18n
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
   ki18n_install(po)
endif()

# config files
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Baloo")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF6BalooConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6BalooConfig.cmake"
    PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

# install targets
install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF6BalooConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6BalooConfigVersion.cmake"
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    COMPONENT devel
)

install(EXPORT KF6BalooTargets
    NAMESPACE KF6::
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KF6BalooTargets.cmake)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/baloo_version.h"
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/Baloo
    COMPONENT Devel
)

# and we're done
include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/lib/CMakeLists.txt ===
set(BALOO_LIB_SRCS
    term.cpp
    query.cpp
    queryrunnable.cpp
    resultiterator.cpp
    advancedqueryparser.cpp

    file.cpp
    filemonitor.cpp
    taglistjob.cpp

    indexerconfig.cpp
    ../file/fileindexerconfig.cpp
    ../file/storagedevices.cpp
    ../file/regexpcache.cpp
    ../file/fileexcludefilters.cpp
    ../file/propertydata.cpp

    searchstore.cpp
)
ecm_qt_declare_logging_category(BALOO_LIB_SRCS
    HEADER baloodebug.h
    IDENTIFIER BALOO
    CATEGORY_NAME kf.baloo
    OLD_CATEGORY_NAMES org.kde.baloo
    DESCRIPTION "Baloo File debug"
    EXPORT BALOO
)

kconfig_add_kcfg_files(BALOO_LIB_SRCS baloosettings.kcfgc GENERATE_MOC)
add_library(KF6Baloo ${BALOO_LIB_SRCS})

add_library(KF6::Baloo ALIAS KF6Baloo)

target_link_libraries(KF6Baloo
    PUBLIC
    Qt6::Core
    KF6::CoreAddons
    KF6::FileMetaData

    PRIVATE
    KF6::ConfigCore
    Qt6::DBus
    KF6::Solid
    KF6::BalooEngine
    BalooDBusMainInterface
)

set_target_properties(KF6Baloo PROPERTIES
    VERSION ${BALOO_VERSION}
    SOVERSION ${BALOO_SOVERSION}
    EXPORT_NAME Baloo
)
target_include_directories(KF6Baloo INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/Baloo>")

ecm_generate_export_header(KF6Baloo
    EXPORT_FILE_NAME core_export.h
    BASE_NAME BALOO_CORE
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    VERSION_BASE_NAME Baloo
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

ecm_generate_headers(KF6Baloo_CamelCase_HEADERS
    HEADER_NAMES
    Query
    QueryRunnable
    ResultIterator

    File
    FileMonitor
    TagListJob
    IndexerConfig

    PREFIX Baloo
    REQUIRED_HEADERS KF6Baloo_HEADERS
)

install(TARGETS KF6Baloo EXPORT KF6BalooTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/core_export.h
    ${CMAKE_CURRENT_BINARY_DIR}/baloosettings.h
    ${KF6Baloo_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/Baloo/baloo
    COMPONENT Devel
)

install(FILES
    ${KF6Baloo_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/Baloo/Baloo
    COMPONENT Devel
)

ecm_generate_qdoc(KF6Baloo baloo.qdocconf)

if (NOT WIN32)
    ecm_generate_pkgconfig_file(BASE_NAME KF6Baloo
        LIB_NAME KF6Baloo
        INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/Baloo
        DEPS Qt6Core
        DESCRIPTION "Baloo is a file indexing and searching framework for Linux"
        INSTALL
    )
endif ()

=== debian/changelog ===
kf6-baloo (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:26:21 +0100

=== debian/control ===
Source: kf6-baloo
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               dbus-test-runner <!nocheck>,
               doxygen,
               extra-cmake-modules (>= 6.20.0~),
               gettext,
               libkf6config-dev (>= 6.20.0~),
               libkf6coreaddons-dev (>= 6.20.0~),
               libkf6crash-dev (>= 6.20.0~),
               libkf6dbusaddons-dev (>= 6.20.0~),
               libkf6filemetadata-dev (>= 6.20.0~),
               libkf6i18n-dev (>= 6.20.0~),
               libkf6idletime-dev (>= 6.20.0~),
               libkf6kio-dev (>= 6.20.0~),
               libkf6solid-dev (>= 6.20.0~),
               liblmdb-dev,
               libqt6sql6-sqlite <!nocheck>,
               libxkbcommon-dev,
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/baloo
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-baloo
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-baloo.git
Rules-Requires-Root: no

Package: baloo6
Section: utils
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: baloo-kf5 (<< 5.115.0-3~),
Replaces: baloo-kf5 (<< 5.115.0-3~),
Description: framework for file search and metadata management
 Baloo is the file indexing and file search framework for KDE Plasma. It
 focuses on speed and a very small memory footprint. It maintains an index of
 your files and optionally their contents which you can search.
 .
 This package contains the runtime service and baloo control binaries.

Package: libkf6baloo-dev
Section: libdevel
Architecture: any
Depends: baloo6 (= ${binary:Version}),
         libkf6baloo6 (= ${binary:Version}),
         libkf6balooengine6 (= ${binary:Version}),
         libkf6config-dev (>= 6.20.0~),
         libkf6coreaddons-dev (>= 6.20.0~),
         libkf6crash-dev (>= 6.20.0~),
         libkf6dbusaddons-dev (>= 6.20.0~),
         libkf6filemetadata-dev (>= 6.20.0~),
         libkf6i18n-dev (>= 6.20.0~),
         libkf6idletime-dev (>= 6.20.0~),
         libkf6kio-dev (>= 6.20.0~),
         libkf6solid-dev (>= 6.20.0~),
         qml6-module-org-kde-baloo (= ${binary:Version}),
         qt6-declarative-dev (>= 6.8.0~),
         ${misc:Depends},
Recommends: libkf6baloo-doc (= ${source:Version}),
Breaks: baloo-kf5-dev (<< 5.115.0-3~),
Replaces: baloo-kf5-dev (<< 5.115.0-3~),
Description: framework for file search and metadata management - development files
 Baloo is the file indexing and file search framework for KDE Plasma. It
 focuses on speed and a very small memory footprint. It maintains an index of
 your files and optionally their contents which you can search.
 .
 This package contains the development files.

Package: libkf6baloo-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: framework for file search and metadata management - developer documentation
 Baloo is the file indexing and file search framework for KDE Plasma. It
 focuses on speed and a very small memory footprint. It maintains an index of
 your files and optionally their contents which you can search.
 .
 This package contains the qch documentation files.

Package: libkf6baloo6
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: framework for file search and metadata management - shared library
 Baloo is the file indexing and file search framework for KDE Plasma. It
 focuses on speed and a very small memory footprint. It maintains an index of
 your files and optionally their contents which you can search.
 .
 This package contains the shared library.

Package: libkf6balooengine6
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: framework for file search and metadata management - internal library
 Baloo is the file indexing and file search framework for KDE Plasma. It
 focuses on speed and a very small memory footprint. It maintains an index of
 your files and optionally their contents which you can search.
 .
 This package contains an internal library used by the baloo service.

Package: qml6-module-org-kde-baloo
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Architecture: any
Multi-Arch: same
Description: framework for file search and metadata management - QML module
 Baloo is the file indexing and file search framework for KDE Plasma. It
 focuses on speed and a very small memory footprint. It maintains an index of
 your files and optionally their contents which you can search.
 .
 This package contains the QML module.

## kf6-baloo 6.20.0+p24.04+vunstable+git20251122.0847

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # set minimum version requirements
 cmake_minimum_required(VERSION 3.16)
 set(REQUIRED_QT_VERSION 6.8.0)
-set(KF_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
 set(KF_DEP_VERSION "6.20.0") # handled by release scripts
 
 # set up project

=== debian/changelog ===
kf6-baloo (6.20.0+p24.04+vunstable+git20251122.0847-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 08:47:02 +0000

kf6-baloo (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:53 +1000

## kf6-baloo 6.20.0+p24.04+vunstable+git20251206.0730

=== debian/changelog ===
kf6-baloo (6.20.0+p24.04+vunstable+git20251206.0730-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 07:30:57 +0000

## kf6-baloo 6.21.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_minimum_required(VERSION 3.16)
 set(REQUIRED_QT_VERSION 6.8.0)
 set(KF_VERSION "6.21.0") # handled by release scripts
-set(KF_DEP_VERSION "6.20.0") # handled by release scripts
+set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 
 # set up project
 project(Baloo VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-baloo (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:48:55 +0000

kf6-baloo (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:11:55 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-baloo
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -12,33 +13,32 @@
                cmake (>= 3.16~),
                dbus-test-runner <!nocheck>,
                doxygen,
-               extra-cmake-modules (>= 6.20.0~),
+               extra-cmake-modules (>= 6.21.0~),
                gettext,
-               libkf6config-dev (>= 6.20.0~),
-               libkf6coreaddons-dev (>= 6.20.0~),
-               libkf6crash-dev (>= 6.20.0~),
-               libkf6dbusaddons-dev (>= 6.20.0~),
-               libkf6filemetadata-dev (>= 6.20.0~),
-               libkf6i18n-dev (>= 6.20.0~),
-               libkf6idletime-dev (>= 6.20.0~),
-               libkf6kio-dev (>= 6.20.0~),
-               libkf6solid-dev (>= 6.20.0~),
+               libkf6config-dev (>= 6.21.0~),
+               libkf6coreaddons-dev (>= 6.21.0~),
+               libkf6crash-dev (>= 6.21.0~),
+               libkf6dbusaddons-dev (>= 6.21.0~),
+               libkf6filemetadata-dev (>= 6.21.0~),
+               libkf6i18n-dev (>= 6.21.0~),
+               libkf6idletime-dev (>= 6.21.0~),
+               libkf6kio-dev (>= 6.21.0~),
+               libkf6solid-dev (>= 6.21.0~),
                liblmdb-dev,
                libqt6sql6-sqlite <!nocheck>,
                libxkbcommon-dev,
                qt6-base-dev (>= 6.8.0~),
                qt6-declarative-dev (>= 6.8.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/baloo
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-baloo
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-baloo.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-baloo
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-baloo
 Rules-Requires-Root: no
 
 Package: baloo6
 Section: utils
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Breaks: baloo-kf5 (<< 5.115.0-3~),
 Replaces: baloo-kf5 (<< 5.115.0-3~),
 Description: framework for file search and metadata management
@@ -54,15 +54,15 @@
 Depends: baloo6 (= ${binary:Version}),
          libkf6baloo6 (= ${binary:Version}),
          libkf6balooengine6 (= ${binary:Version}),
-         libkf6config-dev (>= 6.20.0~),
-         libkf6coreaddons-dev (>= 6.20.0~),
-         libkf6crash-dev (>= 6.20.0~),
-         libkf6dbusaddons-dev (>= 6.20.0~),
-         libkf6filemetadata-dev (>= 6.20.0~),
-         libkf6i18n-dev (>= 6.20.0~),
-         libkf6idletime-dev (>= 6.20.0~),
-         libkf6kio-dev (>= 6.20.0~),
-         libkf6solid-dev (>= 6.20.0~),
+         libkf6config-dev (>= 6.21.0~),
+         libkf6coreaddons-dev (>= 6.21.0~),
+         libkf6crash-dev (>= 6.21.0~),
+         libkf6dbusaddons-dev (>= 6.21.0~),
+         libkf6filemetadata-dev (>= 6.21.0~),
+         libkf6i18n-dev (>= 6.21.0~),
+         libkf6idletime-dev (>= 6.21.0~),
+         libkf6kio-dev (>= 6.21.0~),
+         libkf6solid-dev (>= 6.21.0~),
          qml6-module-org-kde-baloo (= ${binary:Version}),
          qt6-declarative-dev (>= 6.8.0~),
          ${misc:Depends},
@@ -92,8 +92,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: framework for file search and metadata management - shared library
  Baloo is the file indexing and file search framework for KDE Plasma. It
  focuses on speed and a very small memory footprint. It maintains an index of
@@ -105,8 +104,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: framework for file search and metadata management - internal library
  Baloo is the file indexing and file search framework for KDE Plasma. It
  focuses on speed and a very small memory footprint. It maintains an index of
@@ -115,9 +113,7 @@
  This package contains an internal library used by the baloo service.
 
 Package: qml6-module-org-kde-baloo
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Architecture: any
 Multi-Arch: same
 Description: framework for file search and metadata management - QML module

## kf6-baloo 6.21.0+p24.04+vstable+git20251208.0452

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # set minimum version requirements
 cmake_minimum_required(VERSION 3.16)
 set(REQUIRED_QT_VERSION 6.8.0)
-set(KF_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
 set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 
 # set up project

=== debian/changelog ===
kf6-baloo (6.21.0+p24.04+vstable+git20251208.0452-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 04:52:58 +0000

kf6-baloo (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:14:07 +1000

## kf6-baloo 6.21.0+p24.04+vstable+git20251231.0353

=== CMakeLists.txt ===
--- 
+++ 
@@ -78,8 +78,8 @@
 
 # compiler flags and build system
 ecm_set_disabled_deprecation_versions(
-    QT 6.9.0
-    KF 6.18.0
+    QT 6.11.0
+    KF 6.21.0
 )
 
 find_package(Inotify)

## kf6-baloo 6.21.0+p24.04+vstable+git20260103.0604

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 # set minimum version requirements
 cmake_minimum_required(VERSION 3.16)
 set(REQUIRED_QT_VERSION 6.8.0)
-set(KF_VERSION "6.22.0") # handled by release scripts
-set(KF_DEP_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
+set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 
 # set up project
 project(Baloo VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-baloo (6.21.0+p24.04+vstable+git20260103.0604-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 06:04:23 +0000

## kf6-baloo 6.22.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # set minimum version requirements
 cmake_minimum_required(VERSION 3.16)
 set(REQUIRED_QT_VERSION 6.8.0)
-set(KF_VERSION "6.23.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
 set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 
 # set up project

=== debian/changelog ===
kf6-baloo (6.22.0-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 21:57:06 +0000

kf6-baloo (6.22.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Jan 2026 18:27:52 +0000

=== debian/control ===
--- 
+++ 
@@ -5,25 +5,25 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               dbus-test-runner <!nocheck>,
+               debhelper-compat (= 13),
                dh-exec,
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
-               dbus-test-runner <!nocheck>,
                doxygen,
-               extra-cmake-modules (>= 6.21.0~),
+               extra-cmake-modules (>= 6.22.0~),
                gettext,
-               libkf6config-dev (>= 6.21.0~),
-               libkf6coreaddons-dev (>= 6.21.0~),
-               libkf6crash-dev (>= 6.21.0~),
-               libkf6dbusaddons-dev (>= 6.21.0~),
-               libkf6filemetadata-dev (>= 6.21.0~),
-               libkf6i18n-dev (>= 6.21.0~),
-               libkf6idletime-dev (>= 6.21.0~),
-               libkf6kio-dev (>= 6.21.0~),
-               libkf6solid-dev (>= 6.21.0~),
+               libkf6config-dev (>= 6.22.0~),
+               libkf6coreaddons-dev (>= 6.22.0~),
+               libkf6crash-dev (>= 6.22.0~),
+               libkf6dbusaddons-dev (>= 6.22.0~),
+               libkf6filemetadata-dev (>= 6.22.0~),
+               libkf6i18n-dev (>= 6.22.0~),
+               libkf6idletime-dev (>= 6.22.0~),
+               libkf6kio-dev (>= 6.22.0~),
+               libkf6solid-dev (>= 6.22.0~),
                liblmdb-dev,
                libqt6sql6-sqlite <!nocheck>,
                libxkbcommon-dev,
@@ -54,15 +54,15 @@
 Depends: baloo6 (= ${binary:Version}),
          libkf6baloo6 (= ${binary:Version}),
          libkf6balooengine6 (= ${binary:Version}),
-         libkf6config-dev (>= 6.21.0~),
-         libkf6coreaddons-dev (>= 6.21.0~),
-         libkf6crash-dev (>= 6.21.0~),
-         libkf6dbusaddons-dev (>= 6.21.0~),
-         libkf6filemetadata-dev (>= 6.21.0~),
-         libkf6i18n-dev (>= 6.21.0~),
-         libkf6idletime-dev (>= 6.21.0~),
-         libkf6kio-dev (>= 6.21.0~),
-         libkf6solid-dev (>= 6.21.0~),
+         libkf6config-dev (>= 6.22.0~),
+         libkf6coreaddons-dev (>= 6.22.0~),
+         libkf6crash-dev (>= 6.22.0~),
+         libkf6dbusaddons-dev (>= 6.22.0~),
+         libkf6filemetadata-dev (>= 6.22.0~),
+         libkf6i18n-dev (>= 6.22.0~),
+         libkf6idletime-dev (>= 6.22.0~),
+         libkf6kio-dev (>= 6.22.0~),
+         libkf6solid-dev (>= 6.22.0~),
          qml6-module-org-kde-baloo (= ${binary:Version}),
          qt6-declarative-dev (>= 6.8.0~),
          ${misc:Depends},

## kf6-baloo 6.22.0+p24.04+vstable+git20260106.1155

=== debian/changelog ===
kf6-baloo (6.22.0+p24.04+vstable+git20260106.1155-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 11:55:21 +0000

kf6-baloo (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:45:46 +1000

## kf6-baloo 6.22.0+p24.04+vstable+git20260201.0218

=== debian/changelog ===
kf6-baloo (6.22.0+p24.04+vstable+git20260201.0218-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 02:18:58 +0000

## kf6-baloo 6.22.0+p24.04+vstable+git20260202.1034

=== debian/changelog ===
kf6-baloo (6.22.0+p24.04+vstable+git20260202.1034-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 02 Feb 2026 10:34:01 +0000

## kf6-baloo 6.22.0+p24.04+vstable+git20260205.0457

=== debian/changelog ===
kf6-baloo (6.22.0+p24.04+vstable+git20260205.0457-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 04:57:53 +0000

## kf6-baloo 6.22.0+p24.04+vunstable+git20260202.0926

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # set minimum version requirements
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.27)
 set(REQUIRED_QT_VERSION 6.8.0)
-set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
 set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 
 # set up project

=== debian/changelog ===
kf6-baloo (6.22.0+p24.04+vunstable+git20260202.0926-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 02 Feb 2026 09:26:18 +0000

## kf6-baloo 6.23.0

=== src/lib/CMakeLists.txt ===
--- 
+++ 
@@ -61,7 +61,7 @@
     USE_VERSION_HEADER
     VERSION_BASE_NAME Baloo
     DEPRECATED_BASE_VERSION 0
-    DEPRECATION_VERSIONS
+    DEPRECATION_VERSIONS 6.22
     EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
 )

=== autotests/unit/lib/CMakeLists.txt ===
#
# Query Serialization
#
ecm_add_test(queryserializationtest.cpp
    TEST_NAME "queryserializationtest"
    LINK_LIBRARIES Qt6::Test KF6::Baloo
)
ecm_add_test(filemonitortest.cpp
    TEST_NAME "filemonitortest"
    LINK_LIBRARIES Qt6::Test Qt6::DBus KF6::Baloo
)

#
# Advanced Query Parser
#
ecm_add_test(advancedqueryparsertest.cpp
    ../../../src/lib/advancedqueryparser.cpp
    ../../../src/lib/term.cpp
    ../../../src/lib/baloodebug.cpp
    TEST_NAME "advancedqueryparsertest"
    LINK_LIBRARIES Qt6::Test
)

#
# Fetch Job
#
set(filefetchjobtest_SRC filefetchjobtest.cpp)
ecm_add_test(${filefetchjobtest_SRC}
    TEST_NAME "filefetchjobtest"
    LINK_LIBRARIES Qt6::Test KF6::Baloo KF6::BalooEngine KF6::FileMetaData baloofilecommon
)

=== debian/changelog ===
kf6-baloo (6.23.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.23.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.
  * Drop armel bits, as that architecture was discontinued.
  * Add/update Nicolas Fella’s key in upstream keyring.
  * Use DEB_HOST_MULTIARCH in libraries install path.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Feb 2026 16:46:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,44 +1,42 @@
 Source: kf6-baloo
 Section: kde
-Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               dbus-test-runner <!nocheck>,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               cmake (>= 3.27~),
+               dbus-test-runner <!nocheck>,
                doxygen,
-               extra-cmake-modules (>= 6.22.0~),
+               extra-cmake-modules (>= 6.23.0~),
                gettext,
-               libkf6config-dev (>= 6.22.0~),
-               libkf6coreaddons-dev (>= 6.22.0~),
-               libkf6crash-dev (>= 6.22.0~),
-               libkf6dbusaddons-dev (>= 6.22.0~),
-               libkf6filemetadata-dev (>= 6.22.0~),
-               libkf6i18n-dev (>= 6.22.0~),
-               libkf6idletime-dev (>= 6.22.0~),
-               libkf6kio-dev (>= 6.22.0~),
-               libkf6solid-dev (>= 6.22.0~),
+               libkf6config-dev (>= 6.23.0~),
+               libkf6coreaddons-dev (>= 6.23.0~),
+               libkf6crash-dev (>= 6.23.0~),
+               libkf6dbusaddons-dev (>= 6.23.0~),
+               libkf6filemetadata-dev (>= 6.23.0~),
+               libkf6i18n-dev (>= 6.23.0~),
+               libkf6idletime-dev (>= 6.23.0~),
+               libkf6kio-dev (>= 6.23.0~),
+               libkf6solid-dev (>= 6.23.0~),
                liblmdb-dev,
                libqt6sql6-sqlite <!nocheck>,
                libxkbcommon-dev,
                qt6-base-dev (>= 6.8.0~),
                qt6-declarative-dev (>= 6.8.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://invent.kde.org/frameworks/baloo
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-baloo
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-baloo
-Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-baloo
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-baloo.git
 
 Package: baloo6
 Section: utils
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Breaks: baloo-kf5 (<< 5.115.0-3~),
 Replaces: baloo-kf5 (<< 5.115.0-3~),
 Description: framework for file search and metadata management
@@ -54,15 +52,15 @@
 Depends: baloo6 (= ${binary:Version}),
          libkf6baloo6 (= ${binary:Version}),
          libkf6balooengine6 (= ${binary:Version}),
-         libkf6config-dev (>= 6.22.0~),
-         libkf6coreaddons-dev (>= 6.22.0~),
-         libkf6crash-dev (>= 6.22.0~),
-         libkf6dbusaddons-dev (>= 6.22.0~),
-         libkf6filemetadata-dev (>= 6.22.0~),
-         libkf6i18n-dev (>= 6.22.0~),
-         libkf6idletime-dev (>= 6.22.0~),
-         libkf6kio-dev (>= 6.22.0~),
-         libkf6solid-dev (>= 6.22.0~),
+         libkf6config-dev (>= 6.23.0~),
+         libkf6coreaddons-dev (>= 6.23.0~),
+         libkf6crash-dev (>= 6.23.0~),
+         libkf6dbusaddons-dev (>= 6.23.0~),
+         libkf6filemetadata-dev (>= 6.23.0~),
+         libkf6i18n-dev (>= 6.23.0~),
+         libkf6idletime-dev (>= 6.23.0~),
+         libkf6kio-dev (>= 6.23.0~),
+         libkf6solid-dev (>= 6.23.0~),
          qml6-module-org-kde-baloo (= ${binary:Version}),
          qt6-declarative-dev (>= 6.8.0~),
          ${misc:Depends},
@@ -92,7 +90,8 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: framework for file search and metadata management - shared library
  Baloo is the file indexing and file search framework for KDE Plasma. It
  focuses on speed and a very small memory footprint. It maintains an index of
@@ -104,7 +103,8 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: framework for file search and metadata management - internal library
  Baloo is the file indexing and file search framework for KDE Plasma. It
  focuses on speed and a very small memory footprint. It maintains an index of
@@ -113,7 +113,9 @@
  This package contains an internal library used by the baloo service.
 
 Package: qml6-module-org-kde-baloo
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Architecture: any
 Multi-Arch: same
 Description: framework for file search and metadata management - QML module

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# positioncodectest fails on big endian architectures
ifeq (big,$(DEB_HOST_ARCH_ENDIAN))
  fail_param := || true
endif
# general failures not related to endianness
testsuite_failing_archs := \
		armhf \
		loong64 \
		riscv64 \

ifneq (,$(filter $(DEB_HOST_ARCH),$(testsuite_failing_archs)))
  fail_param := || true
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
	- dbus-run-session -- dh_auto_test --buildsystem=kf6 $(fail_param)

## kf6-baloo 6.23.0a

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_minimum_required(VERSION 3.27)
 set(REQUIRED_QT_VERSION 6.8.0)
 set(KF_VERSION "6.23.0") # handled by release scripts
-set(KF_DEP_VERSION "6.22.0") # handled by release scripts
+set(KF_DEP_VERSION "6.23.0") # handled by release scripts
 
 # set up project
 project(Baloo VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-baloo (6.23.0a-0ubuntu1) resolute; urgency=medium

  * Tarball respin.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Feb 2026 12:15:20 +0000

kf6-baloo (6.23.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.23.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Feb 2026 11:35:21 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: kf6-baloo
 Section: kde
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Priority: optional
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               dbus-test-runner <!nocheck>,
+               debhelper-compat (= 13),
                dh-exec,
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.27~),
-               dbus-test-runner <!nocheck>,
                doxygen,
                extra-cmake-modules (>= 6.23.0~),
                gettext,
@@ -27,16 +29,16 @@
                libxkbcommon-dev,
                qt6-base-dev (>= 6.8.0~),
                qt6-declarative-dev (>= 6.8.0~),
-Standards-Version: 4.7.3
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/baloo
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-baloo
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-baloo.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-baloo
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-baloo
+Rules-Requires-Root: no
 
 Package: baloo6
 Section: utils
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Breaks: baloo-kf5 (<< 5.115.0-3~),
 Replaces: baloo-kf5 (<< 5.115.0-3~),
 Description: framework for file search and metadata management
@@ -90,8 +92,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: framework for file search and metadata management - shared library
  Baloo is the file indexing and file search framework for KDE Plasma. It
  focuses on speed and a very small memory footprint. It maintains an index of
@@ -103,8 +104,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: framework for file search and metadata management - internal library
  Baloo is the file indexing and file search framework for KDE Plasma. It
  focuses on speed and a very small memory footprint. It maintains an index of
@@ -113,9 +113,7 @@
  This package contains an internal library used by the baloo service.
 
 Package: qml6-module-org-kde-baloo
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Architecture: any
 Multi-Arch: same
 Description: framework for file search and metadata management - QML module
